using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Office.Project.EPMSync.Config.Editor
{
    public class LookupTableDefinitionList
    {
        private Guid _lookupTableUid;
        private Guid _valueUid;
        private string _value;

        //public LookupTableDefinitionList()
        //{
        //    _lookupTableUid = Guid.Empty;
        //    _valueUid = Guid.Empty;
        //    Value = string.Empty;
        //}

        public LookupTableDefinitionList(Guid lookupTableUid, Guid valueUid, string value)
        {
            _lookupTableUid = lookupTableUid;
            _valueUid = valueUid;
            _value = value;
        }

        public Guid LookupTableUid
        {
            get { return _lookupTableUid; }
            set { _lookupTableUid = value; }
        }

        public Guid ValueUid
        {
            get { return _valueUid; }
            set { _valueUid = value; }
        }

        public string Value
        {
            get { return _value; }
            set { _value = value; }
        }
    }

    public class AttributeDefinitionList
    {
        private int _id;
        private int _attributeId;
        private string _value;

        public AttributeDefinitionList(int id, int attributeId, string value)
        {
            _id = id;
            _attributeId = attributeId;
            _value = value;
        }

        //public AttributeDefinitionList()
        //{
        //    _id = 0;
        //    _attributeId = 0;
        //    _value = string.Empty;
        //}

        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        public int AttributeId
        {
            get { return _attributeId; }
            set { _attributeId = value; }
        }

        public string Value
        {
            get { return _value; }
            set { _value = value; }
        }
    }
}
